import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { HttpClientModule } from '@angular/common/http';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { MenuComponent } from './menu/menu.component';
import { WelcomeComponent } from './welcome/welcome.component';
import { MessageComponent } from './message/message.component';
import { FooterComponent } from './footer/footer.component';
import { NumberedComponent } from './numbered/numbered.component';
import { KeyedComponent } from './keyed/keyed.component';
import { DatedComponent } from './dated/dated.component';

@NgModule({
  declarations: [
    AppComponent,
    MenuComponent,
    WelcomeComponent,
    MessageComponent,
    FooterComponent,
    NumberedComponent,
    KeyedComponent,
    DatedComponent
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    HttpClientModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
