import { Component, OnInit } from '@angular/core';
import { HttpClient } from '@angular/common/http';

@Component({
  selector: 'app-menu',
  templateUrl: './menu.component.html',
  styleUrls: ['./menu.component.css']
})
export class MenuComponent implements OnInit {

  data : any = null;

  constructor(private http: HttpClient) { }

  ngOnInit(): void {

    this.http 
       .get('http://localhost:8080/HumorREST/api/category/list')
       .subscribe(results => {
          const dataString = JSON.stringify(results);
          this.data = JSON.parse(dataString).categories;
       });
  }

}
